Status: Closed Start date: 2010-12-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: OpenID Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

The identity selector for OpenID login is a simple text field for a URL. While technically sufficient, many OpenID provider URLs are

difficult to remember and more difficult to type.  A high-quality identity selector goes a long way to smoothing the process.  There are

two BSD licensed selectors that could provide a foundation for a selector in Redmine:

http://code.google.com/p/openid-selector/

http://code.google.com/p/openid-realselector/

Consider integrating them into the login page to improve the OpenID experience.

History

#1 - 2011-04-19 22:41 - Jason Montojo

- File openid-newfiles.zip added

- File openid.patch added

- File actionpack-2.3.11.patch added

Hi folks,

I've taken a crack at implementing this feature.  The attached patch/zip files are based on openid-selector 1.3 and RedMine's trunk.  If the patch gets

stale, let me know so I can rebase it.

Here's a breakdown of the changes:

Added graphical OpenID selector to login and my/account

Updated OpenID self-registration to support AX (so now it supports AX and SREG)

Externalized all strings and provided translations for "en"

I've also attached another patch which seems to be necessary for Rails 2.X when using OpenID authentication, but it's fixed in 3.0.  The patch is

based on Rails 2.3.11.  You can find a description of the issue here:

https://rails.lighthouseapp.com/projects/8994/tickets/6440-session-reset-undefined-method-destroy-for-hash

To apply the patches, run these commands from the redmine root directory:

unzip /path/to/openid-newfiles.zip

patch -p0 < /path/to/openid.patch

#2 - 2011-09-13 10:46 - Etienne Massip

- Category changed from Accounts / authentication to OpenID

#3 - 2021-12-14 01:15 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

The OpenID support has been dropped by #35755 for the upcoming Redmine 5.0.0.

Files

openid-newfiles.zip 20.8 KB 2011-04-19 Jason Montojo

openid.patch 5.75 KB 2011-04-19 Jason Montojo
actionpack-2.3.11.patch 506 Bytes 2011-04-19 Jason Montojo
